Unit tde07r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, DE07R_p;

function tde07r: String;

implementation

function tde07r: String;
var
Q,M,N,JSTART,_i,IERR :Integer;
XN,XK,YT1,YT2 :Real;
YN :Array [0..1] of Real;
A :Array [0..3] of Real;
ALP :Array [0..1] of Real;
BET :Array [0..1] of Real;
Y :Array [0..1] of Real;
E :Array [0..3] of Real;
G :Array [0..3] of Real;
A1 :Array [0..3] of Real;
R :Array [0..1] of Real;
R1 :Array [0..1] of Real;
begin
Result := '';  {   }
M := 2;
XN := 0.0;
YN[0] := 5.0;
YN[1] := 1.0;
XK := 5.0;
N := 7;
Q := 10;
A[0] := -1.0;
A[2] := 2.0;
A[1] := -3.0;
A[3] := -2.0;
ALP[0] := -2.0;
ALP[1] := 15.0;
BET[0] := -2.0;
BET[1] := -1.0;
JSTART := 0;
DE07R(M,XN,YN,XK,N,Q,A,ALP,BET,JSTART,Y,
     E,G,A1,R,R1,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%5d ',[IERR]) + #$0D#$0A;
Result := Result + Format('%s',[' XK=']);
Result := Result + Format('%20.16f ',[XK]);
Result := Result + Format('%s',['     Y(1)=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
YT1 := 5.0*Exp(-XK);
YT2 := Exp(-2.0*XK);
Result := Result + Format('%s',[' XK=']);
Result := Result + Format('%20.16f ',[XK]);
Result := Result + Format('%s',['      YT1=']);
Result := Result + Format('%20.16f ',[YT1]);
Result := Result + Format('%s',[#$0D#$0A + ' YT2=']);
Result := Result + Format('%20.16f ',[YT2]) + #$0D#$0A;
YN[0] := Y[0];
YN[1] := Y[1];
XN := XK;
XK := XK+XK;
JSTART := 1;
DE07R(M,XN,YN,XK,N,Q,A,ALP,BET,JSTART,Y,
     E,G,A1,R,R1,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%5d ',[IERR]) + #$0D#$0A;
Result := Result + Format('%s',[' XK=']);
Result := Result + Format('%20.16f ',[XK]);
Result := Result + Format('%s',['     Y(1)=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
YT1 := 5.0*Exp(-XK);
YT2 := Exp(-2.0*XK);
Result := Result + Format('%s',[' XK=']);
Result := Result + Format('%20.16f ',[XK]);
Result := Result + Format('%s',['      YT1=']);
Result := Result + Format('%20.16f ',[YT1]);
Result := Result + Format('%s',[#$0D#$0A + ' YT2=']);
Result := Result + Format('%20.16f ',[YT2]) + #$0D#$0A;
UtRes('tde07r',Result);  {     tde07r.res }
exit;
end;

end.
